Eclipse PDE Release 3.7

## org.eclipse.pde.ui.launcher
Class AbstractPDELaunchConfigurationTabGroup

    java.lang.Object
      org.eclipse.debug.ui.AbstractLaunchConfigurationTabGroup
          org.eclipse.pde.ui.launcher.AbstractPDELaunchConfigurationTabGroup

All Implemented Interfaces:
  ILaunchConfigurationTabGroup

Direct Known Subclasses:
  EclipseLauncherTabGroup, JUnitTabGroup

    public abstract class AbstractPDELaunchConfigurationTabGroup

extends AbstractLaunchConfigurationTabGroup

An abstract class subclassed by the Eclipse application and JUnit Plug-in launch configuration tab groups.

This class is not intended to be subclassed by clients.

Since:
  3.3
Restriction:
  This class is not intended to be subclassed by clients.

Field Summary

Fields inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTabGroup
`fTabs`

Constructor Summary
`AbstractPDELaunchConfigurationTabGroup()`

Method Summary
`void` `initializeFrom(ILaunchConfiguration configuration)` The tab group delegates to all tabs in the group.
`void` `setDefaults(ILaunchConfigurationWorkingCopy configuration)` Delegates to all tabs to set defaults.

Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTabGroup
`dispose, getTabs, launched, performApply, setTabs`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.debug.ui.ILaunchConfigurationTabGroup
`createTabs`

Constructor Detail

### AbstractPDELaunchConfigurationTabGroup

    public AbstractPDELaunchConfigurationTabGroup()

Method Detail

### initializeFrom

    public void initializeFrom(ILaunchConfiguration configuration)

  The tab group delegates to all tabs in the group. Prior to the delegation, it migrates all pre-3.2 launch configurations to make them 3.2-compliant.

  Specified by:
    `initializeFrom` in interface `ILaunchConfigurationTabGroup`
  Overrides:
    `initializeFrom` in class `AbstractLaunchConfigurationTabGroup`
  See Also:
    `AbstractLaunchConfigurationTabGroup.initializeFrom(org.eclipse.debug.core.ILaunchConfiguration)`

### setDefaults

    public void setDefaults(ILaunchConfigurationWorkingCopy configuration)

  Delegates to all tabs to set defaults. It then sets program and VM arguments based on values on the Plug-in Development > Target Platform > Launching Arguments preference page.

  Specified by:
    `setDefaults` in interface `ILaunchConfigurationTabGroup`
  Overrides:
    `setDefaults` in class `AbstractLaunchConfigurationTabGroup`
  See Also:
    `AbstractLaunchConfigurationTabGroup.setDefaults(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy)`

Eclipse PDE Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) 2000, 2011 IBM Corporation and others. All rights reserved.